
Application: gvSIG desktop - gvSIG bugs #5156
Falla terminar edicion en un store en memoria si no tiene geometrias
11/19/2019 04:48 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si tenemos un MemoryFeatureStore que no tienw columna de geometria falla.

java.lang.IllegalArgumentException: Attribute index '-1' out of range (0 to 6.
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.get(DefaultFeature.java:661)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultGeometry(DefaultFeature.java:507)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultEnvelope(DefaultFeature.java:494)
        at org.gvsig.fmap.dal.store.memory.MemoryStoreProvider$EditionVisitor.visit(MemoryStoreProvider.java:307)
        at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:77)
        at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.doAccept(AbstractFeatureSet.java:67)
        at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
        at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
        at org.gvsig.fmap.dal.store.memory.MemoryStoreProvider.performChanges(MemoryStoreProvider.java:211)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1539)

Afecta al importador de archivos de arena2.
De momento voy a rodearlo añadiendo una geometria.

Related issues:
Duplicates Application: gvSIG desktop - gvSIG bugs # 5169: Falla cuando se cr... Closed 11/26/2019

History
#1 - 11/26/2019 04:54 PM - Joaquín  del Cerro Murciano
- Duplicates gvSIG bugs #5169: Falla cuando se crea un MemoryFeatureStore que no contenga geometrias. added

#2 - 11/26/2019 04:55 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3002 (No instala) to 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)
- Status changed from New to Fixed

#3 - 01/21/2020 07:42 PM - Álvaro Anguix
- Status changed from Fixed to Closed
